Re: [ptxdist] [PATCH] glib: version bump 2.52.1 -> 2.54.2

2017-11-22 Thread Ladislav Michl
On Wed, Nov 22, 2017 at 10:05:32AM +0100, Michael Olbrich wrote: > On Wed, Nov 22, 2017 at 12:18:07AM +0100, Ladislav Michl wrote: > > Update to latest stable version. > > > > Also it turned out that package install stage is using GTKDOC tools > > found on build host, so add empty ac_cv_path_* to

Re: [ptxdist] [PATCH v2] nginx: version bump 1.10.3 -> 1.12.1

2017-11-22 Thread Roland Hieber
On 21.11.2017 14:49, Clemens Gruber wrote: Hi, On Tue, Nov 21, 2017 at 01:46:52AM +0100, Roland Hieber wrote: [...] diff --git a/rules/nginx.make b/rules/nginx.make index ef98c0adb..0f8ce65f2 100644 --- a/rules/nginx.make +++ b/rules/nginx.make @@ -17,8 +17,8 @@ PACKAGES-$(PTXCONF_NGINX) +=

[ptxdist] syslinux dep on uuid/uuid.h

2017-11-22 Thread Erwin Rol
Hey all, I tried to update syslinux to 4.X and ran into a dependency problem. No problem I thought and added select LIBUUID. The thing is, that doesn't work. syslinux.in is under platform/ and it seems it is not possible to use target dependencies from there. My hack (since I have scripts

Re: [ptxdist] [PATCH] glib: version bump 2.52.1 -> 2.54.2

2017-11-22 Thread Michael Olbrich
On Wed, Nov 22, 2017 at 12:18:07AM +0100, Ladislav Michl wrote: > Update to latest stable version. > > Also it turned out that package install stage is using GTKDOC tools > found on build host, so add empty ac_cv_path_* to avoid that. > > Signed-off-by: Ladislav Michl >

Re: [ptxdist] [PATCH] glib: version bump 2.52.1 -> 2.54.2

2017-11-22 Thread Ian Abbott
On 22/11/17 09:05, Michael Olbrich wrote: On Wed, Nov 22, 2017 at 12:18:07AM +0100, Ladislav Michl wrote: Update to latest stable version. Also it turned out that package install stage is using GTKDOC tools found on build host, so add empty ac_cv_path_* to avoid that. Signed-off-by: Ladislav

[ptxdist] [PATCH] nginx: fix IPv6 build override patch

2017-11-22 Thread Clemens Gruber
In the previous version of the IPv6 override patch, the defines were defined to yes but nginx checked them with #if, which did not work. Fix it by defining to 1 or 0 but keeping yes/no in the rule file for consistency with the other environment variables. Signed-off-by: Clemens Gruber

Re: [ptxdist] [PATCH v2] linuxptp: Update package and configs

2017-11-22 Thread Michael Grzeschik
On Mon, Sep 11, 2017 at 02:47:11PM +0200, Michael Grzeschik wrote: > Usualy we can not ensure only to use transparent clock switches. > Therefor we setup the fix option -P to the commandline to enable > the P2P mechanism in ptp4l. > > The following options are highly depending on the usecase > so

[ptxdist] [PATCH v3] linuxptp: Update package and configs

2017-11-22 Thread Michael Grzeschik
Usualy we can not ensure only to use transparent clock switches. Therefor we setup the fix option -P to the commandline to enable the P2P mechanism in ptp4l. The following options are highly depending on the usecase so we remove them for the defaults. path_trace_enabled follow_up_info

Re: [ptxdist] Empty modules.dep after kernel update

2017-11-22 Thread Matthias Klein
Hello Michael, thanks a lot for the tip! It was the modules compression which was turned on ... Best regards, Matthias -- Originalnachricht -- Von: "Michael Olbrich" An: ptxdist@pengutronix.de Gesendet: 22.11.2017 14:14:39 Betreff: Re: [ptxdist] Empty

[ptxdist] Empty modules.dep after kernel update

2017-11-22 Thread Matthias Klein
Hello, I am working on a kernel update from 4.4 to 4.14 in our ptxdist 2016.04 based BSP. The kernel builds fine, but the modules.dep file is zero bytes long. I updated libkmod.make from version 22 to 24, but that did not help. When I run the depmod from sysroot-host/sbin/ by hand it finds

Re: [ptxdist] Empty modules.dep after kernel update

2017-11-22 Thread Michael Olbrich
Hi, On Wed, Nov 22, 2017 at 12:27:28PM +, Matthias Klein wrote: > I am working on a kernel update from 4.4 to 4.14 in our ptxdist 2016.04 > based BSP. > > The kernel builds fine, but the modules.dep file is zero bytes long. > I updated libkmod.make from version 22 to 24, but that did not

[ptxdist] [PATCH] valgrind: don't use the host mpicc to build target libraries

2017-11-22 Thread Jan Luebbe
Otherwise, valgrind builds a libmpiwrap-arm-linux.so for the host architecture when mpicc is found. Signed-off-by: Jan Luebbe --- rules/valgrind.make | 1 + 1 file changed, 1 insertion(+) diff --git a/rules/valgrind.make b/rules/valgrind.make index